unit UnitTest1;

{$mode objfpc}{$H+}

interface

uses
 Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls;

type
  { TForm1 }
  TForm1 = class(TForm)
    Button1: TButton;
    Panel1: TPanel;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Panel1Paint(Sender: TObject);
  private
    Bmp : TBitmap;
  public

  end;

var
  Form1: TForm1;
implementation
{$R *.lfm}
{ TForm1 }

procedure TForm1.Panel1Paint(Sender: TObject);
begin
 with Panel1.Canvas do
  begin
   Brush.Color:= clred;
   Ellipse(40,50,140,150);
   Brush.Color:= cllime;
   Ellipse(160,50,260,150);
   Brush.Color:= clblue;
   Ellipse(100,150,200,250);
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 Panel1.PaintTo(Bmp.Canvas,0,0);
 canvas.Draw(390,10,Bmp);
end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
 Bmp.Free;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 Bmp := TBitmap.Create;
 Bmp.SetSize(Panel1.Width,Panel1.Height);
end;

end.




